GeneratedNamespaceClassLoader (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.common.spi

## Class GeneratedNamespaceClassLoader

- java.lang.Object
- - org.apache.cxf.common.spi.GeneratedClassClassLoader
  - - org.apache.cxf.common.spi.GeneratedNamespaceClassLoader

- All Implemented Interfaces:
    `NamespaceClassCreator`

      public class GeneratedNamespaceClassLoader
      extends GeneratedClassClassLoader
      implements NamespaceClassCreator

  If class has been generated during build time (use @see org.apache.cxf.common.spi.GeneratedClassClassLoaderCapture capture to save bytes) you can set class loader to avoid class generation during runtime: bus.setExtension(new GeneratedNamespaceClassLoader(bus), NamespaceClassCreator.class);
  Author:
    olivier dufour

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cxf.common.spi.GeneratedClassClassLoader

      `GeneratedClassClassLoader.TypeHelperClassLoader`

  - ### Field Summary

    - ### Fields inherited from class org.apache.cxf.common.spi.GeneratedClassClassLoader

      `bus`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GeneratedNamespaceClassLoader​(Bus bus)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Class<?>` | `createNamespaceWrapperClass​(Class<?> mcls, Map<String,​String> map)` |

    - ### Methods inherited from class org.apache.cxf.common.spi.GeneratedClassClassLoader

      `findClass, getClassLoader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeneratedNamespaceClassLoader

          public GeneratedNamespaceClassLoader​(Bus bus)

  - ### Method Detail

    - #### createNamespaceWrapperClass

          public Class<?> createNamespaceWrapperClass​(Class<?> mcls,
                                                      Map<String,​String> map)

      Specified by:
        `createNamespaceWrapperClass` in interface `NamespaceClassCreator`